%define oname   rbot

Name:           ruby-%{oname}
Version:        0.9.15
Release:        %mkrel 9
Summary:        A modular ruby IRC bot
Group:          Development/Ruby
License:        MIT
URL:            http://ruby-rbot.org
Source0:        http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:		rbot-0.9.15-gempackagetask.patch
BuildRequires:  rubygems ruby-rake
BuildArch:      noarch

%description
A modular ruby IRC bot specifically designed for ease of extension via
plugins.


%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/rbot
%{_bindir}/rbot-remote
%{gem_instdir}/
%{gem_spec}
%doc %{gem_docdir}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.9.15-9.mga4
+ Revision: 561701
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.9.15-8.mga4
+ Revision: 535653
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.9.15-7.mga4
+ Revision: 482290
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.9.15-6.mga4
+ Revision: 480100
- Fix file list
- Use gem_setup
- Patch Rakefile to not use obsolete gempackagetask

* Fri Feb 08 2013 umeabot <umeabot> 0.9.15-5.mga3
+ Revision: 396361
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.15-4.mga3
+ Revision: 381345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 pterjan <pterjan> 0.9.15-3.mga3
+ Revision: 321897
- Add missing buildrequires

  + fwang <fwang>
    - rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 0.9.15-2.mga2
+ Revision: 199458
- rebuild against new tokyocabinet-1.4.47
- clean .spec

* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.15-1.mga1
+ Revision: 87160
- imported package ruby-rbot

